package com.libreecm.commonAPI.model.objects;

import java.util.ArrayList;
import java.util.List;

import com.libreecm.commonAPI.model.CmisExtensionElement;

public abstract class ExtensionsData {

	List<CmisExtensionElement> extensions;
	
	public ExtensionsData(){ 
		
	}
		
	public void setExtensions(List<CmisExtensionElement> extensions){
		this.extensions=extensions;
	}
	
	public List<CmisExtensionElement> getExtensions(){
		if (extensions==null)
			this.extensions=new ArrayList<CmisExtensionElement>();
		return extensions;
	}
}
